Notices


Reply
Thread Tools
Posts: 2 | Thanked: 1 time | Joined on Apr 2017
#1
Hello!

I'am newbie in Maemo, but I have a small experience in Linux. And I want to update some packages in extras-repo.

I compiled new htop, curl, wget, zsh, make and some other apps on my n900 and they works great. Compilation on n900 very slow, need free space and I moved to cross-compilation.

Firstly, I installed and configured crosstool-ng, package for cross-compilation. It easy to use and using modern compilators and libs. But so much modern - many apps was need modern glibc or ncurses, for example. I built it, move to my N900, reboot and never boot up

Secondly, I tried to install scratchbox: find Debian Lenny distro, install, find needs repos archive, install and configure. But updated apps need updated libs - in scratchbox its outdated. I successfully compiled new Busybox-power, but can't make package - dpkg-buildpackage crash with "getopt not found". Getopt installed. I try to update perl and getopt for it, but this not resolve problem. I tried to google, google and google, but can't find answer. I spened on trying to build two weeks already and do not know what to do next.

Can advanced user make how-to or step-by-step example of packages update, please?

p.s. Sorry for my english
 
Posts: 1,044 | Thanked: 961 times | Joined on Mar 2008 @ SF Bay Area
#2
Originally Posted by Amaranth View Post
Hello!

I'am newbie in Maemo, but I have a small experience in Linux. And I want to update some packages in extras-repo.

I compiled new htop, curl, wget, zsh, make and some other apps on my n900 and they works great. Compilation on n900 very slow, need free space and I moved to cross-compilation.

Firstly, I installed and configured crosstool-ng, package for cross-compilation. It easy to use and using modern compilators and libs. But so much modern - many apps was need modern glibc or ncurses, for example. I built it, move to my N900, reboot and never boot up

Secondly, I tried to install scratchbox: find Debian Lenny distro, install, find needs repos archive, install and configure. But updated apps need updated libs - in scratchbox its outdated. I successfully compiled new Busybox-power, but can't make package - dpkg-buildpackage crash with "getopt not found". Getopt installed. I try to update perl and getopt for it, but this not resolve problem. I tried to google, google and google, but can't find answer. I spened on trying to build two weeks already and do not know what to do next.

Can advanced user make how-to or step-by-step example of packages update, please?

p.s. Sorry for my english
Are you trying to compile packages for Maemo?
Can you try the Docker images I've created?
Here's the thread and the post with the example: https://talk.maemo.org/showpost.php?...10&postcount=3
__________________
qgvdial: Google Voice client. All downloads
qgvtp: Phone integration for the n900 that dials out and sends texts using qgvdial.
mosquitto: message broker that implements the MQ Telemetry Transport protocol version 3.
qgvnotify: Google voice and contacts notifier for diablo and maemo.

If you want to thank me, click the Thanks button.
If you'd like to thank my applications, vote to move them to extras.
 
Posts: 435 | Thanked: 1,162 times | Joined on Feb 2012 @ Germany
#3
Originally Posted by Amaranth View Post
Can advanced user make how-to or step-by-step example of packages update, please?
Different packages make different problems also need different solutions. Some packages can't be updated if they need newer glib or build tools.

For some packages you need newer gcc look for AapoRantalainen contributions he did a very good job in updating some important bits. For using a newer gcc you need to make a new target in scratchbox.

Also marmistrz was updating for example autoconf. If you want to use newer build tools as provided by the sdk you need to set the SBOX_REDIRECT_IGNORE variable which you also need to use newer perl.
You could also set a new scratchbox target for the CSSU repositority which has also some newer packages than the standard sdk.

To update to latest stuff we need to free maemo to have a new kernel and newer glibc. Then we can have latest build tools and gcc. So Android_808 and freemangordon do a great job removing closed blobs.

You could upload your source codes and I can have a look into it and try to compile deb packages from it.
 

The Following 2 Users Say Thank You to Halftux For This Useful Post:
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 02:05.